#ifndef BUTTON_H_
#define BUTTON_H_

#include <Arduino.h>

#define OPEN LOW
#define CLOSED HIGH

typedef unsigned int uint;
typedef enum { IDLE, PRESSED, HOLD, RELEASED } ButtonState;

const int NO_BUTTON = -1;

class Button {
  public:
    // members
    int bindex;
    ButtonState bstate;
    boolean stateChanged;

    // methods
    Button();
    void button_update(int userButtonIndex, ButtonState userState, boolean userStatus);

  private:

};

#endif
